Subject: Re: [PATCH net-next v3 1/7] bnxt_en: add support for rx-copybreak ethtool command

From: Jakub Kicinski <[email-masked]>
Date: Tue, 8 Oct 2024 12:53:26 -0700

On Tue, 8 Oct 2024 12:38:18 -0700 Michael Chan wrote:
> > Where does the min value of 64 come from? Ethernet min frame length?
> 
> The length is actually the ethernet length minus the 4-byte CRC.  So
> 60 is the minimum length that the driver will see.  Anything smaller
> coming from the wire will be a runt frame discarded by the chip.

Also for VF to VF traffic?

> > IIUC the copybreak threshold is purely a SW feature, after this series.
> > If someone sets the copybreak value to, say 13 it will simply never
> > engage but it's not really an invalid setting, IMHO. Similarly setting
> > it to 0 makes intuitive sense (that's how e1000e works, AFAICT).  
> 
> Right, setting it to 0 or 13 will have the same effect of disabling
> it.  0 makes more intuitive sense.

Agreed on 0 making sense, but not sure if rejecting intermediate values
buys us anything. As Andrew mentioned consistency is important. I only
checked two drivers (e1000e and gve) and they don't seem to check 
the lower limit.